List contract amendments

Retrieve amendments of a contract Token scopes: contracts:read, contracts:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Unique identifier of the contract

Query parameters

statuseslist of enumsOptional
Filter by work statement status.
sign_statuseslist of enumsOptional
Filter by work statement sign status.
Allowed values:
limitintegerOptional1-100Defaults to 20
Maximum number of work statements to return.
cursorstringOptional
Cursor for pagination.

Response

Successful operation.
datalist of objects

List of work statements (amendments).

cursorstring or null
Cursor for the next page of results.
has_moreboolean
Indicates if there are more work statements available.
total_countinteger
Total number of work statements matching the filters.

Errors